package org.rcisoft.business.cmsbankcard.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年6月4日 上午10:19:34.
*/
@Data
@TableName("cms_bank_card")
public class CmsBankCard {


     /**
     * @desc 用户id
     * @column user_id
     * @default
     */
     @Excel(name = "用户id", orderNum = "0", width = 20)
     private Integer userId;

     /**
     * @desc 银行卡账号
     * @column bank_card_num
     * @default
     */
     @Excel(name = "银行卡账号", orderNum = "1", width = 20)
     private String bankCardNum;


}

