package org.rcisoft.business.cmsunitnewvideo.service;

import org.rcisoft.business.cmsunitnewvideo.entity.CmsUnitNewVideo;
import org.rcisoft.business.sysunit.entity.SysUnit;
import org.rcisoft.business.sysuser.entity.AddSysUser;
import org.rcisoft.core.model.CyPersistModel;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by cy on 2024年6月6日 上午10:17:38.
 */
public interface CmsUnitNewVideoService {

    /**
     * 保存 文章视频分配中间表
     *
     * @param cmsUnitNewVideo
     * @return
     */
    CyPersistModel addOrUpdate(CmsUnitNewVideo cmsUnitNewVideo);


    void deleteTheUserByMerchantId(SysUnit sysUnit);

    void queryVideoOrArticleRelationships(AddSysUser sysUser, ArrayList<String> collect);

    List<CmsUnitNewVideo> listAllByUnitIdType(CmsUnitNewVideo cmsUnitNewVideo);
}
