package org.rcisoft.business.cmsvideo.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmsvideo.entity.CmsVideo;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created with cy on 2024年6月3日 下午3:35:01.
 */

public interface CmsVideoRepository extends CyBaseMapper<CmsVideo> {


    List<CmsVideo> queryCmsVideos(@Param("entity") CmsVideo cmsVideo);

    /**
     * 分页查询 cmsVideo
     */
    IPage<CmsVideo> queryCmsVideosPaged(CyPageInfo cyPageInfo, @Param("entity") CmsVideo cmsVideo);

    IPage<CmsVideo> listByClassification(CyPageInfo<CmsVideo> paginationUtility, @Param("entity") CmsVideo cmsVideo);

    List<CmsVideo> listByClassification(@Param("entity") CmsVideo cmsVideo);

    IPage<CmsVideo> superAdminPaginatedQuery(CyPageInfo<CmsVideo> paginationUtility, @Param("entity") CmsVideo cmsVideo);

    IPage<CmsVideo> businessAdminsPaginatedQuery(CyPageInfo<CmsVideo> paginationUtility, @Param("entity") CmsVideo cmsVideo);

    IPage<CmsVideo> listByClassificationAdmin(CyPageInfo<CmsVideo> paginationUtility, @Param("entity") CmsVideo cmsVideo);

    IPage<CmsVideo> listByClassificationMerchants(CyPageInfo<CmsVideo> paginationUtility, @Param("entity") CmsVideo cmsVideo);
}

