package org.rcisoft.result;

/**
 * Created by Administrator on 2017/11/27.
 */
public enum ResultServiceEnums {
    SUCCESS(0,"操作成功"),

    EXCEL_IMPORT_DATA_NOT_EXIST(11,"Excel中没有找到任何完整有效的数据"),

    EXCEL_IMPORT_HEADER_ERROR(12,"excel表头信息错误，导入失败"),

    EXCEL_IMPORT_DB_INSERT_ERROR(13,"数据库插入失败"),

    INSERT_DATA_EXIST(14,"该信息已经存在"),

    ADD_ERROR(15,"添加异常"),

    UPDATE_PASSWORD_ERROR(16,"修改密码异常"),

    LOGIN_PARAMETER_ERROR(17,"用户名或者密码不正确"),

    LOGIN_AUTHORIZATION_ERROR(18,"不合法的token值"),

    LOGIN_HEADER_ERROR(19,"不合法的Authorization header"),

    PARAMETER_ERROR(20,"参数错误"),

    UPLOAD_FILE_ERROR(21,"上传图片失败"),

    INSERT_ERROR(22,"添加失败"),

    TEMPLAGE_NOT_EXISTS(23,"模板不存在"),

    PASSWORD_ENCODE(24,"密码加密异常"),

    UPDATE_ERROR(25,"操作失败"),

    NEWS_EXISTS(26,"新闻已经存在"),

    NEWS_NOT_EXISTS(27,"新闻不存在"),


    ROLE_ERROR(28,"权限错误"),

    CREATE_GIT_LAB_ACCOUT_ERROR(29,"创建gitLab账户失败"),

    CHE_STOP_ERROR(30,"che关闭失败"),

    EMAIL_EXISTS(31,"邮箱已经存在"),

    CHE_HAS_START(32,"请先关闭上一门课的浏览器IDE"),

    CHE_START_ERROR(33,"che启动失败,请重试"),

    DELETE_GIT_LAB_USER_ERROR(34,"删除用户gitlab信息错误，删除失败"),

    DELETE_GIT_LAB_DELETE_ERROR(35,"删除项目gitlab信息错误，删除失败"),

    PASSWORD_ERROR(36,"原密码错误"),

    CHE_NUM_MAX(37,"浏览器IDE的数量已经达到上限，请等待"),

    PASSWORD_LENGTH_ERROR(38,"密码长度必须在6到16位之间"),

    PUSH_ERROR(39,"提交代码网络超时，请重试"),

    NETWORK_ERROR(40,"网络异常，请稍后再试"),

    DOWNLOAD_ERROR(41,"下载失败"),

    COMPILING_CODE (42,"运行失败，请重试"),

    UPLOAD_ERROR (43,"上传失败"),

    COMPANY_NOT_EXISTS(44,"用户不存在"),

    EXCEL_IMPORT_DATA_HAS_NULL(45,"第一行存在空数据"),

    STARTDATE_EQUAL_ENDDATE(46,"开始时间等于结束时间"),

    EXISE_ROOM_CODE(47,"此教室编号已存在，添加失败"),

    CURRENT_TERM(48,"当前学期不可删除"),

    ROOM_HAS_USED(49,"当前教室正在被使用，不可删除"),

    NAME_IS_EXISTS(50,"名称重复"),

    DATA_HAS_USED(51,"数据使用中，不可删除"),

    CAN_NOT_OVERLAP(52,"时间区间不可重叠"),

    ROLE_HAS_USED(53,"当前角色被使用，不可删除"),

    ROOM_SEAT_TOO_MANY(54,"人数过多"),

    COPY_FILES_ERROR(55,"复制课程相关资料失败"),

    URL_ENCODE(56,"URL加密异常"),

    NOT_LOGIN(57,"未登录"),

    NOT_SELECT_UNIT(58,"请选择当前商家信息"),

    CYRESULT_SUCCESS(200,"返回值操作成功")
    ;

    private Integer code;
    private String message;

    ResultServiceEnums(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
